#include <iostream>
#include <math.h>
using namespace std;

long long p,q,r,L,R,N=0,a,b,c;

int check(long long int n, long long int p)
{
	if(n%p==0) return n/p;
	else return (n/p+1);

}

int main()
{
	cin>>p>>q>>r>>L>>R;
	for(long long int i=L;i<=R;i++)
	{
		a=check(i,p);
		b=check(i,q);
		c=check(i,r);
		if(a+b+c<=i) N++;
	}
	cout<<N;
}